gtkmm 2.4: Atk::EditableText Class Reference

Main Page Widgets Namespaces Book

# Atk::EditableText Class Reference

Inheritance diagram for Atk::EditableText:
[legend]
List of all members.

## Public Member Functions
void | copy_text (int start_pos, int end_pos)
| Copy text from start_pos up to, but not including end_pos to the clipboard.
void | cut_text (int start_pos, int end_pos)
| Copy text from start_pos up to, but not including end_pos to the clipboard and then delete from the widget.
void | delete_text (int start_pos, int end_pos)
| Delete text start_pos up to, but not including end_pos .
const AtkEditableText* | gobj () const
| Provides access to the underlying C GObject.
AtkEditableText* | gobj ()
| Provides access to the underlying C GObject.
void | insert_text (const Glib::ustring& string, int length, int& position)
| Insert text at a given position.
void | paste_text (int position)
| Paste text from clipboard to specified position .
bool | set_run_attributes (const AttributeSet& attrib_set, int start_offset, int end_offset)
| Sets the attributes for a specified range.
void | set_text_contents (const Glib::ustring& string)
| Set text contents of text .
virtual | ~EditableText ()
## Static Public Member Functions
void | add_interface (GType gtype_implementer)
## Protected Member Functions
virtual void | copy_text_vfunc (int start_pos, int end_pos)
virtual void | cut_text_vfunc (int start_pos, int end_pos)
virtual void | delete_text_vfunc (int start_pos, int end_pos)
virtual void | insert_text_vfunc (const Glib::ustring& string, int length, int& position)
virtual void | paste_text_vfunc (int position)
virtual bool | set_run_attributes_vfunc (AtkAttributeSet* attrib_set, int start_offset, int end_offset)
virtual void | set_text_contents_vfunc (const Glib::ustring& string)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Atk::EditableText> | wrap (AtkEditableText* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Atk::EditableText::~EditableText | ( |  | ) | `[virtual]`

## Member Function Documentation

void Atk::EditableText::add_interface | ( | GType | gtype_implementer | ) | `[static]`

void Atk::EditableText::copy_text | ( | int | start_pos,
|  | int | end_pos
| ) |

  | Copy text from start_pos up to, but not including end_pos to the clipboard. Parameters:
  | start_pos | Start position.
  | end_pos | End position.

virtual void Atk::EditableText::copy_text_vfunc | ( | int | start_pos,
|  | int | end_pos
| ) | `[protected, virtual]`

void Atk::EditableText::cut_text | ( | int | start_pos,
|  | int | end_pos
| ) |

  | Copy text from start_pos up to, but not including end_pos to the clipboard and then delete from the widget. Parameters:
  | start_pos | Start position.
  | end_pos | End position.

virtual void Atk::EditableText::cut_text_vfunc | ( | int | start_pos,
|  | int | end_pos
| ) | `[protected, virtual]`

void Atk::EditableText::delete_text | ( | int | start_pos,
|  | int | end_pos
| ) |

  | Delete text start_pos up to, but not including end_pos . Parameters:
  | start_pos | Start position.
  | end_pos | End position.

virtual void Atk::EditableText::delete_text_vfunc | ( | int | start_pos,
|  | int | end_pos
| ) | `[protected, virtual]`

const AtkEditableText* Atk::EditableText::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Atk::NoOpObject.

AtkEditableText* Atk::EditableText::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Atk::NoOpObject.

void Atk::EditableText::insert_text | ( | const Glib::ustring& | string,
|  | int | length,
|  | int& | position
| ) |

  | Insert text at a given position. Parameters:
  | string | The text to insert.
  | length | The length of text to insert, in bytes.
  | position | The caller initializes this to the position at which to insert the text. After the call it points at the position after the newly inserted text.

virtual void Atk::EditableText::insert_text_vfunc | ( | const Glib::ustring& | string,
|  | int | length,
|  | int& | position
| ) | `[protected, virtual]`

void Atk::EditableText::paste_text | ( | int | position | ) |

  | Paste text from clipboard to specified position . Parameters:
  | position | Position to paste.

virtual void Atk::EditableText::paste_text_vfunc | ( | int | position | ) | `[protected, virtual]`

bool Atk::EditableText::set_run_attributes | ( | const AttributeSet& | attrib_set,
|  | int | start_offset,
|  | int | end_offset
| ) |

  | Sets the attributes for a specified range. See the ATK_ATTRIBUTE macros (such as Atk::ATTRIBUTE_LEFT_MARGIN) for examples of attributes that can be set. Note that other attributes that do not have corresponding ATK_ATTRIBUTE macros may also be set for certain text widgets. Parameters:
  | attrib_set | An Atk::AttributeSet.
  | start_offset | Start of range in which to set attributes.
  | end_offset | End of range in which to set attributes.
Returns: `true` if attributes successfully set for the specified range, otherwise `false`.

virtual bool Atk::EditableText::set_run_attributes_vfunc | ( | AtkAttributeSet* | attrib_set,
|  | int | start_offset,
|  | int | end_offset
| ) | `[protected, virtual]`

void Atk::EditableText::set_text_contents | ( | const Glib::ustring& | string | ) |

  | Set text contents of text . Parameters:
  | string | String to set for text contents of text .

virtual void Atk::EditableText::set_text_contents_vfunc | ( | const Glib::ustring& | string | ) | `[protected, virtual]`

## Friends And Related Function Documentation

Glib::RefPtr<Atk::EditableText> wrap | ( | AtkEditableText* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- editabletext.h